;; -*-emacs-lisp-*-
;;
;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50sass-mode.el
;; for the Debian sass-mode package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Gastón Ramos <ramos.gaston@gmail.com>

;; The sass-mode package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(let ((package-dir (concat "/usr/share/"
                           (symbol-name flavor)
                           "/site-lisp/sass-elisp")))
;; If package-dir does not exist, the sass-mode package must have
;; removed but not purged, and we should skip the setup.
  (when (file-directory-p package-dir)
    ;; Use debian-pkg-add-load-path-item per §9 of debian emacs subpolicy
    (debian-pkg-add-load-path-item package-dir )
    (autoload 'sass-mode "sass-mode"
      "Major mode for editing sass-mode files." t)
    (add-to-list 'auto-mode-alist '("\\.sass\\'" . sass-mode))
    ))
